// Adapted from https://sourceforge.net/p/dadisi/code/8/tree/trunk/dadisi/
/*
 * File:   Disk.cpp
 * Author: fermat
 *
 * Created on 20. Januar 2010, 10:39
 */

#include <string>
#include <sstream>
#include <iostream>
#include <cstdio>

#include <global/random_slicing/Disk.hpp>

using namespace VDRIVE;
using namespace std;

Disk::Disk(int64_t id, int64_t capacity, void* data) {
    this->id = id;
    this->capacity = capacity;
    this->data = data;
}

Disk::Disk(const Disk& orig) {
    this->id = orig.id;
    this->capacity = orig.capacity;
    this->data = orig.data;
}

Disk::~Disk() {}

void*
Disk::getData() const {
    return this->data;
}

void
Disk::setData(void* data) {
    this->data = data;
}

int64_t
Disk::getId() const {
    return this->id;
}

void
Disk::setId(int64_t id) {
    this->id = id;
}

int64_t
Disk::getCapacity() const {
    return this->capacity;
}

void
Disk::setCapacity(int64_t capacity) {
    this->capacity = capacity;
}
